The smooth Class Library
====================================================================================================
[![Build Status](https://img.shields.io/github/actions/workflow/status/enzo1982/smooth/verify-build.yml?branch=master)](https://github.com/enzo1982/smooth/actions?query=workflow%3A%22Verify+build%22+branch%3Amaster) [![Last commit](https://img.shields.io/github/last-commit/enzo1982/smooth.svg)](https://github.com/enzo1982/smooth/commits/master) [![License](https://img.shields.io/github/license/enzo1982/smooth.svg)](https://github.com/enzo1982/smooth/blob/master/Copying)

_smooth_ is an object oriented C++ class library for Windows, macOS, Linux and most Unix-like operating systems. It provides basic functionality and platform support for applications and libraries.

Features provided by _smooth_ include:

- user interface API with various widgets
- simple to use multithreading API
- file and network IO interface
- completely transparent Unicode and software internationalization support
- a libxml2 based XML parser


Installation
------------

The following packages must be installed in order to compile _smooth_:

- libbz2 / libbzip2 development package
- libcurl development package
- libfribidi development package
- libgtk+3.0 development package
- libjpeg development package
- libxml2 development package

After installing these prerequisites, run `make` followed by `sudo make install` to compile and install _smooth_.


License
-------

_smooth_ is Free Software and is made available under the terms of "The Artistic License, Version 2.0".


----------------------------------------------------------------------------------------------------
The official _smooth_ homepage: http://www.smooth-project.org/

robert.kausch@freac.org,<br/>
Robert Kausch
